[arch-commits] Commit in stack/trunk (PKGBUILD)

Felix Yan felixonmars at archlinux.org
Wed Jul 31 15:08:18 UTC 2019


    Date: Wednesday, July 31, 2019 @ 15:08:18
  Author: felixonmars
Revision: 495554

upgpkg: stack 2.1.3-1

Modified:
  stack/trunk/PKGBUILD

----------+
 PKGBUILD |   42 ++++++++++++++++++++++++------------------
 1 file changed, 24 insertions(+), 18 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2019-07-31 14:43:16 UTC (rev 495553)
+++ PKGBUILD	2019-07-31 15:08:18 UTC (rev 495554)
@@ -2,42 +2,48 @@
 # Contributor: Arch Haskell Team <arch-haskell at haskell.org>
 
 pkgname=stack
-pkgver=1.9.3.1
-pkgrel=93
+pkgver=2.1.3
+pkgrel=1
 pkgdesc="The Haskell Tool Stack"
 url="https://github.com/commercialhaskell/stack"
 license=("BSD")
 arch=('x86_64')
 depends=('ghc-libs' 'haskell-aeson' 'haskell-annotated-wl-pprint' 'haskell-ansi-terminal'
-         'haskell-async' 'haskell-attoparsec' 'haskell-base64-bytestring' 'haskell-conduit'
-         'haskell-conduit-extra' 'haskell-cryptonite' 'haskell-cryptonite-conduit' 'haskell-echo'
-         'haskell-exceptions' 'haskell-extra' 'haskell-file-embed' 'haskell-filelock'
+         'haskell-async' 'haskell-attoparsec' 'haskell-base64-bytestring' 'haskell-colour'
+         'haskell-conduit' 'haskell-conduit-extra' 'haskell-cryptonite' 'haskell-cryptonite-conduit'
+         'haskell-echo' 'haskell-exceptions' 'haskell-extra' 'haskell-file-embed' 'haskell-filelock'
          'haskell-fsnotify' 'haskell-generic-deriving' 'haskell-githash' 'haskell-hackage-security'
-         'haskell-hashable' 'haskell-hpack' 'haskell-hpc' 'haskell-http-client'
-         'haskell-http-client-tls' 'haskell-http-conduit' 'haskell-http-types' 'haskell-memory'
-         'haskell-microlens' 'haskell-mintty' 'haskell-monad-logger' 'haskell-mono-traversable'
-         'haskell-mustache' 'haskell-neat-interpolation' 'haskell-network-uri' 'haskell-open-browser'
-         'haskell-optparse-applicative' 'haskell-optparse-simple' 'haskell-path' 'haskell-path-io'
-         'haskell-persistent' 'haskell-persistent-sqlite' 'haskell-persistent-template'
-         'haskell-primitive' 'haskell-project-template' 'haskell-regex-applicative-text'
-         'haskell-resourcet' 'haskell-retry' 'haskell-rio' 'haskell-split' 'haskell-store'
-         'haskell-store-core' 'haskell-streaming-commons' 'haskell-tar' 'haskell-temporary'
+         'haskell-hashable' 'haskell-hi-file-parser' 'haskell-hpack' 'haskell-http-client'
+         'haskell-http-client-tls' 'haskell-http-conduit' 'haskell-http-download'
+         'haskell-http-types' 'haskell-memory' 'haskell-microlens' 'haskell-mintty'
+         'haskell-mono-traversable' 'haskell-mustache' 'haskell-neat-interpolation'
+         'haskell-network-uri' 'haskell-open-browser' 'haskell-optparse-applicative'
+         'haskell-optparse-generic' 'haskell-optparse-simple' 'haskell-pantry' 'haskell-path'
+         'haskell-path-io' 'haskell-persistent' 'haskell-persistent-sqlite'
+         'haskell-persistent-template' 'haskell-primitive' 'haskell-project-template'
+         'haskell-regex-applicative-text' 'haskell-resource-pool' 'haskell-resourcet'
+         'haskell-retry' 'haskell-rio' 'haskell-rio-prettyprint' 'haskell-split'
+         'haskell-streaming-commons' 'haskell-tar' 'haskell-temporary' 'haskell-terminal-size'
          'haskell-text-metrics' 'haskell-th-reify-many' 'haskell-tls' 'haskell-typed-process'
          'haskell-unicode-transforms' 'haskell-unix-compat' 'haskell-unliftio'
          'haskell-unordered-containers' 'haskell-vector' 'haskell-yaml' 'haskell-zip-archive'
          'haskell-zlib' 'haskell-bindings-uname')
-makedepends=('ghc' 'git' 'haskell-quickcheck' 'haskell-hspec' 'haskell-smallcheck')
+makedepends=('ghc' 'git' 'haskell-quickcheck' 'haskell-hspec' 'haskell-raw-strings-qq'
+             'haskell-smallcheck')
 checkdepends=('cabal-install')
 conflicts=('haskell-stack')
 replaces=('haskell-stack')
 install="stack.install"
-source=("git+https://github.com/commercialhaskell/stack.git#tag=v$pkgver")
-sha512sums=('SKIP')
+source=("git+https://github.com/commercialhaskell/stack.git#tag=v$pkgver"
+        https://github.com/commercialhaskell/stack/commit/62c24fa0552dc722260f1cee75325145e837ab6a.patch)
+sha512sums=('SKIP'
+            '99bb04cf6581a8d712413822f834856b036b37ab2ae41307e82a7064b12cdfa43c6ccc60adfa870057f9ba197e1ae4eda144a7088306630400c0798a2b60d9c6')
 
 prepare() {
   cd $pkgname
+  patch -p1 -i ../62c24fa0552dc722260f1cee75325145e837ab6a.patch || :
   hpack
-  sed -i -e '/semigroups/d' -e 's/< *0.8/<1/' $pkgname.cabal
+  sed -i -e '/semigroups/d' $pkgname.cabal
 }
 
 build() {


More information about the arch-commits mailing list